Bug 802037 - Review Request: php-pecl-amqp - Communicate with any AMQP compliant server
Summary: Review Request: php-pecl-amqp - Communicate with any AMQP compliant server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 802035
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-10 13:08 UTC by Remi Collet
Modified: 2012-04-12 02:06 UTC (History)
3 users (show)

Fixed In Version: php-pecl-amqp-1.0.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-01 00:31:05 UTC
Type: ---
pahan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2012-03-10 13:08:22 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/php-pecl-amqp/php-pecl-amqp.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-amqp-1.0.1-2.remi.src.rpm
Description: 
This extension can communicate with any AMQP spec 0-9-1 compatible server,
such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and
delete exchanges and queues, as well as publish to any exchange and consume
from any queue.


Planed target : fedora >= 16 and EPEL >= 5

Comment 1 Pavel Alexeev 2012-03-18 09:04:58 UTC
I'll review that.

Comment 2 Pavel Alexeev 2012-03-18 15:27:39 UTC
Package Review
==============

Key:
- = N/A
+ = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[+]: MUST Header files in -devel subpackage, if present.
[+]: MUST Package does not contain any libtool archives (.la)
[+]: MUST Package does not contain kernel modules.
[+]: MUST Package contains no static executables.
[+]: MUST Rpath absent or only used for internal libs.
[-]: MUST Package is not relocatable.
[+]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     There it is module.


==== Generic ====
[+]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[+]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[+]: MUST %build honors applicable compiler flags or justifies otherwise.
[+]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[+]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[+]: MUST Package contains no bundled libraries.
[+]: MUST Changelog in prescribed format.
[+]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[+]: MUST Sources contain only permissible code or content.
[+]: MUST %config files are marked noreplace or the reason is justified.
[+]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[+]: MUST Macros in Summary, %description expandable at SRPM build time.
[+]: MUST Package requires other packages for directories it uses.
[+]: MUST Package uses nothing in %doc for runtime.
[+]: MUST Package is not known to require ExcludeArch.
[+]: MUST Permissions on files are set properly.
[+]: MUST Package does not contain duplicates in %files.
[+]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[+]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[+]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[+]: MUST License field in the package spec file matches the actual license.
[+]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[+]: MUST Package is named according to the Package Naming Guidelines.
[+]: MUST No %config files under /usr.
[+]: MUST Package does not generate any conflict.
[+]: MUST Package obeys FHS, except libexecdir and /usr/target.
[+]: MUST Package must own all directories that it creates.
[+]: MUST Package does not own files or directories owned by other packages.
[+]: MUST Package installs properly.
[-]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint php-pecl-amqp-1.0.1-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint php-pecl-amqp-1.0.1-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint php-pecl-amqp-debuginfo-1.0.1-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[+]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/pasha/SOFT/Review/php-pecl-amqp/802037/amqp-1.0.1.tgz :
  MD5SUM this package     : d5b4a85551a03e0754c6cf01a5ad5200
  MD5SUM upstream package : d5b4a85551a03e0754c6cf01a5ad5200

[+]: MUST Spec file is legible and written in American English.
[+]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[+]: MUST File names are valid UTF-8.
[+]: MUST Useful -debuginfo package or justification otherwise.
[+]: SHOULD Reviewer should test that the package builds in mock.
[+]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[+]: SHOULD Dist tag is present.
[+]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[+]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[+]: SHOULD Latest version is packaged.
[+]: SHOULD Package does not include license text files separate from upstream.
[+]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise justified.
[+]: SHOULD Scriptlets must be sane, if used.
[+]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[+]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[+]: SHOULD %check is present and all tests pass.
[+]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[+]: SHOULD Spec use %global instead of %define.

Generated by fedora-review 0.1.3
External plugins:

Package is FINE. APPROVED.

Comment 3 Remi Collet 2012-03-18 17:09:54 UTC
Thanks for the review


New Package SCM Request
=======================
Package Name: php-pecl-amqp
Short Description: Communicate with any AMQP compliant server
Owners: remi
Branches: f16 f17 el6
InitialCC:

Comment 4 Gwyn Ciesla 2012-03-19 12:17:18 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-03-19 15:25:19 UTC
php-pecl-amqp-1.0.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pecl-amqp-1.0.1-3.fc17

Comment 6 Fedora Update System 2012-03-19 15:26:02 UTC
php-pecl-amqp-1.0.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-pecl-amqp-1.0.1-3.fc16

Comment 7 Fedora Update System 2012-03-19 16:32:28 UTC
php-pecl-amqp-1.0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-amqp-1.0.1-3.el6

Comment 8 Fedora Update System 2012-03-20 06:05:07 UTC
php-pecl-amqp-1.0.1-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2012-04-01 00:31:05 UTC
php-pecl-amqp-1.0.1-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2012-04-05 03:06:07 UTC
php-pecl-amqp-1.0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2012-04-12 02:06:12 UTC
php-pecl-amqp-1.0.1-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.